using System;
using System.Collections.Generic;
using System.Text;
using Edu.Common.Plugin;

namespace Edu.Common.Enum.Finance
{
    /// <summary>
    /// 付款单账户类型
    /// </summary>
    public enum FinanceAccountTypeEnum
    {
        /// <summary>
        ///私账
        /// </summary>
        [EnumField("私帐")]
        Prive = 0,
        /// <summary>
        /// 公账
        /// </summary>
        [EnumField("公帐")]
        Public = 1,
        /// <summary>
        /// 人民币现金
        /// </summary>
        [EnumField("人民币现金")]
        RMBCash = 2,
        /// <summary>
        /// 外币现金
        /// </summary>
        [EnumField("外币现金")]
        Cash = 3,
        /// <summary>
        /// 资金池
        /// </summary>
        [EnumField("资金池")]
        CashPool = 4,
        /// <summary>
        /// 平台虚拟账户
        /// </summary>
        [EnumField("平台虚拟账户")]
        Platform = 5,
        /// <summary>
        /// 地接虚拟账户
        /// </summary>
        [EnumField("地接虚拟账户")]
        DiJie = 6,
        /// <summary>
        /// 收支相抵
        /// </summary>
        [EnumField("收支相抵")]
        InPay = 7,
        /// <summary>
        /// 原路退款
        /// </summary>
        [EnumField("原路退款")]
        YLTK = 8,
        /// <summary>
        /// 地接预支款
        /// </summary>
        [EnumField("地接预支款")]
        DJYFK = 9,
        /// <summary>
        /// 虚拟结算
        /// </summary>
        [EnumField("虚拟结算")]
        VirtualSettlement = 10,
        /// <summary>
        /// 电商结算
        /// </summary>
        [EnumField("电商结算")]
        CommerceSettlement = 11
    }
}
